<?php
namespace Teknisa\SUP\Modules\Cadastros\Controllers;

use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\Report\ReportService;

class MarcaReportController extends \Zeedhi\Framework\Controller\Report
{
	protected $connection;
	protected $qr2Strategy;
	protected $stNomeRel;
    protected $stExtensao;
	
	public function __construct($reportService, $connection, $qr2Strategy) {
		parent::__construct($reportService);
        $this->connection = $connection;
        $this->qr2Strategy = $qr2Strategy;
    }
    
    protected $reportMapping = array ();
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response)
    {
        $row = $request->getRow();
        
        $this->qr2Strategy->setQr2Type($row['QR2TYPE']);
        $this->stNomeRel = $this->getReportName($row);
        $this->reportMapping[$this->stNomeRel] =
        array (
            'strategy' => $row['STRATEGY'],
            'parameterMapping' => 
            array (
                'CDARVPRODINI' => 'P_CDPRODINI',
                'CDARVPRODFIN' => 'P_CDPRODFIN',
                'TPROD'        => 'P_TPROD',
                'CDMARCAINI'   => 'P_CDMARCINI',
                'CDMARCAFIN'   => 'P_CDMARCFIN',
            ),
        );
  
    }
}